import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import '@/styles/index.scss' // global css
import _ from 'lodash'
import * as echarts from 'echarts'
import Vue2OrgTree from 'vue2-org-tree'
import 'vue2-org-tree/dist/style.css'
import elTableInfiniteScroll from 'el-table-infinite-scroll'
import xss from 'xss'

import App from './App'
import store from './store'
import router from './router'

import '@/icons' // icon
// import '@/permission'
import '@/getMenu'
import '@/config/checkPermission' //按钮权限 全局自定义指令v-is

Vue.use(ElementUI)
Vue.prototype._ = _
Vue.prototype.$echarts = echarts
Vue.use(Vue2OrgTree)
Vue.use(elTableInfiniteScroll)
Vue.use(xss)

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: (h) => h(App)
}).$mount('#app')
